Package uk.ac.starlink.votable.dom

# Class DelegatingText

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingCharacterData
uk.ac.starlink.votable.dom.DelegatingText

All Implemented Interfaces:
  `CharacterData`, `Node`, `Text`

Direct Known Subclasses:
  `DelegatingCDATASection`

public class DelegatingText extends DelegatingCharacterData implements Text

## Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingText(Text base, DelegatingDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getWholeText()`
`boolean`
`isElementContentWhitespace()`
`Text`
`replaceWholeText(String content)`
`Text`
`splitText(int offset)`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingCharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.CharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DelegatingText

protected DelegatingText(Text base, DelegatingDocument doc)

## Method Details

### splitText

public Text splitText(int offset)

Specified by:
  `splitText` in interface `Text`

### isElementContentWhitespace

public boolean isElementContentWhitespace()

Specified by:
  `isElementContentWhitespace` in interface `Text`

### getWholeText

public String getWholeText()

Specified by:
  `getWholeText` in interface `Text`

### replaceWholeText

public Text replaceWholeText(String content)

Specified by:
  `replaceWholeText` in interface `Text`